impossibile installare nvidia-340xx-dkms

Nuovo di Arch Linux? Nessun problema, fai qui le tue domande
Rispondi
caruso spaonazzo
Arciere Provetto
Messaggi: 493
Iscritto il: 9 maggio 2017, 14:06

impossibile installare nvidia-340xx-dkms

Messaggio da caruso spaonazzo » 26 dicembre 2019, 19:53

ho questi pacchetti da installare
3 aur/nvidia-340xx-dkms 340.107-94 -> 340.108-1
2 aur/nvidia-340xx-utils 340.107-3 -> 340.108-1
1 aur/opencl-nvidia-340xx 340.107-3 -> 340.108-1
ma quando vado per installarli mi segnala questo errore
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: l'installazione di nvidia-340xx-utils (340.108-1) interrompe la dipendenza 'nvidia-340xx-utils=340.107' richiesta da nvidia-340xx-dkms
ho provato a installarli con makepkg ignorando le dipendenze ma non sono comunque riuscito ad installarli

caruso spaonazzo
Arciere Provetto
Messaggi: 493
Iscritto il: 9 maggio 2017, 14:06

Re: impossibile installare nvidia-340xx-dkms

Messaggio da caruso spaonazzo » 26 dicembre 2019, 20:51

ho appena letto questo


For those who can't update due to broken dependency complaints, just remove the currently installed versions and then update.

ora provo

Avatar utente
Dusty
Little John
Messaggi: 816
Iscritto il: 12 agosto 2011, 13:15
Località: Firenze

Re: impossibile installare nvidia-340xx-dkms

Messaggio da Dusty » 26 dicembre 2019, 20:54

A quando risalgono questi tentativi di aggiornamento?
Il pacchetto nvidia-340xx-dkms è stato modificato ieri e adesso richiede nvidia-340xx-utils=340.108
In generale non ci si può aspettare in AUR l'accuratezza a cui siamo abituati; se si incontrano problemi, bisogna pazientare qualche giorno.
Ultima modifica di Dusty il 11 gennaio 2020, 11:07, modificato 1 volta in totale.

caruso spaonazzo
Arciere Provetto
Messaggi: 493
Iscritto il: 9 maggio 2017, 14:06

Re: impossibile installare nvidia-340xx-dkms

Messaggio da caruso spaonazzo » 27 dicembre 2019, 11:27

ho disinstallato i 3 paccheti nvidia-340xx-dkms nvidia-340xx-utils opencl-nvidia-340xx provato a reinstallare nvidia-340xx-dkms

ora mi segnala quest'altro errore
==> dkms install nvidia/340.108 -k 5.4.6-arch3-1
==> Unable to install module nvidia/340.108 for kernel 5.4.1-arch1-1: Missing kernel headers.

al prossimo avvio il display manager non partirà

Avatar utente
TheSaint
Robin Hood
Messaggi: 7839
Iscritto il: 8 settembre 2007, 7:43
Architettura: x86_64 (64bit)
Località: davanti al computer

Re: impossibile installare nvidia-340xx-dkms

Messaggio da TheSaint » 27 dicembre 2019, 17:33

Hai installato gli headers ?
F the saint
13 anni da questo forum ;)

caruso spaonazzo
Arciere Provetto
Messaggi: 493
Iscritto il: 9 maggio 2017, 14:06

Re: impossibile installare nvidia-340xx-dkms

Messaggio da caruso spaonazzo » 27 dicembre 2019, 17:43


sembra che questa nuova versione dei driver non sia compatibile con questo kernel per ora

boh

edit: reinstallamdo gli headers sembra che il problema si sia risolto perché i dviver si sono aggiornati da soli all'ultima versione

caruso spaonazzo
Arciere Provetto
Messaggi: 493
Iscritto il: 9 maggio 2017, 14:06

Re: impossibile installare nvidia-340xx-dkms

Messaggio da caruso spaonazzo » 10 gennaio 2020, 22:22

ma c'è sempre qualcosa con questi nvidia-dkms

ora mi segnala un altro problema all'aggiornamento

==> ERRORE: I controlli dell'integrità (sha256) differiscono in dimensione dall'array dei sorgenti.

Avatar utente
Dusty
Little John
Messaggi: 816
Iscritto il: 12 agosto 2011, 13:15
Località: Firenze

Re: impossibile installare nvidia-340xx-dkms

Messaggio da Dusty » 11 gennaio 2020, 11:06

Problema conosciuto e, sembra, già risolto:
graysky commented on 2020-01-10 23:37
Fixed, thanks.
wurbelgrumpff commented on 2020-01-10 22:55
...FEHLER: Integritäts-Prüfungen (sha256) unterscheiden sich in der Größe vom Array...
Ribadisco che con in pacchetti in AUR serve molta pazienza.

caruso spaonazzo
Arciere Provetto
Messaggi: 493
Iscritto il: 9 maggio 2017, 14:06

Re: impossibile installare nvidia-340xx-dkms

Messaggio da caruso spaonazzo » 11 gennaio 2020, 13:03

infatti, purtroppo sono gli unici driver che posso usare sulla ma vecchia scheda video

Rispondi